Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.types
Class DefaultType

    java.lang.Object
      org.apache.cayenne.access.types.AbstractType
          org.apache.cayenne.access.types.DefaultType

All Implemented Interfaces:
  ExtendedType

    public class DefaultType

extends AbstractType

An ExtendedType that can work with any Java class, providing JDBC-to-Java mapping exactly per JDBC specification.

Author:
  Andrus Adamchik

Field Summary
`protected String` | `className`
`protected Method` | `procReadMethod`
`protected Method` | `readMethod`

Constructor Summary
`DefaultType()` Creates DefaultType to read objects from ResultSet using "getObject" method.
`DefaultType(String className)`

Method Summary
`static Iterator<String>` | `defaultTypes()` Returns an Iterator over the names of supported default Java classes.
`String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
`Object` | `materializeObject(CallableStatement st, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
`Object` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

Methods inherited from class org.apache.cayenne.access.types.AbstractType
`setJdbcObject, toString, validateNull, validateProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### className

    protected String className

### readMethod

    protected Method readMethod

### procReadMethod

    protected Method procReadMethod

Constructor Detail

### DefaultType

    public DefaultType()

  Creates DefaultType to read objects from ResultSet using "getObject" method.

### DefaultType

    public DefaultType(String className)

Method Detail

### defaultTypes

    public static Iterator<String> defaultTypes()

  Returns an Iterator over the names of supported default Java classes.

### getClassName

    public String getClassName()

  Description copied from interface: `ExtendedType`
  Returns a full name of Java class that this ExtendedType supports.

  Specified by:
    `getClassName` in interface `ExtendedType`
  Specified by:
    `getClassName` in class `AbstractType`

### materializeObject

    public Object materializeObject(ResultSet rs,
                                    int index,
                                    int type)
                             throws Exception

  Description copied from interface: `ExtendedType`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Specified by:
    `materializeObject` in class `AbstractType`
  Throws:
    `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### materializeObject

    public Object materializeObject(CallableStatement st,
                                    int index,
                                    int type)
                             throws Exception

  Description copied from interface: `ExtendedType`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.

  Specified by:
    `materializeObject` in interface `ExtendedType`
  Specified by:
    `materializeObject` in class `AbstractType`
  Throws:
    `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.